API ReferenceProject Settings
Updates the ProjectSettings resource
Updates the ProjectSettings resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
ProjectSettings identifier
The updated ProjectSettings resource
TypeScript Definitions
Use the request body type in TypeScript.
enabledTabs?array<>
requireTaskTypeOnTaskCreation?boolean
showTaskDeadline?boolean
projectAutomaticPlanning?boolean
taskDateRangeBehaviour?|
Value in
- "board-summary-bar"
- "restricted"
taskDateStartType?|
Value in
- "board"
- "day-interval"
taskDateStartInterval?|
Range
0 <= value <= 90taskDateStartTime?|
Format
date-timetaskDateEndType?|
Value in
- "board"
- "day-interval"
taskDateEndInterval?|
Range
0 <= value <= 90taskDateEndTime?|
Format
date-timehideHourlyRateForRoles?array<>
restrictTaskDateUpdatesToPMsOrCreators?boolean
Response Body
curl -X PATCH "https://example.com/project/project-settings/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "enabledTabs": [ "finance" ], "requireTaskTypeOnTaskCreation": true, "showTaskDeadline": true, "projectAutomaticPlanning": true, "taskDateRangeBehaviour": "board-summary-bar", "taskDateStartType": "board", "taskDateStartInterval": null, "taskDateStartTime": "2019-08-24T14:15:22Z", "taskDateEndType": "board", "taskDateEndInterval": null, "taskDateEndTime": "2019-08-24T14:15:22Z", "hideHourlyRateForRoles": [ "pm-passive" ], "restrictTaskDateUpdatesToPMsOrCreators": true}